/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "action.h"
#include "restack.h"
#include "../../../poker/turn.h"
#include "../../../poker/bet.h"
#include "../../../poker/actions/flop.h"

/** Callback when the bet action is updated. */
void _pokerGameActionBetOnUpdate(
  queue_t *queue, queueaction_t *action, uint8_t i
);

/** Callback for when the bet action ends. */
void _pokerGameActionBetOnEnd(
  queue_t *queue, queueaction_t *action, uint8_t i
);

/**
 * Queues the bet action to the queue.
 * 
 * @param game Game to queue onto.
 * @return The action that was queued.
 */
queueaction_t * pokerGameActionBetAdd(pokergame_t *game);