/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../file/asset.h"
#include "../../locale/language.h"
#include "../../display/texture.h"

/**
 * Load and initializes all the assets used by the poker game.
 * 
 * @param assets Assets instance to initailize.
 * @return True if successful, otherwise false.
 */
bool pokerGameAssetsInit(pokergameassets_t *assets);

/**
 * Cleans a previously initialized game assets set.
 * 
 * @param assets Assets to dispose.
 */
void pokerGameAssetsDispose(pokergameassets_t *assets);