/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../ui/label.h"

/**
 * Initializes the UI Module.
 * 
 * @param pokerGame Poker game to initialize the UI for.
 */
void pokerUiInit(pokergame_t *pokerGame);

/**
 * Render the Poker Game UI.
 * 
 * @param pokerGame Game to render the UI for.
 */
void pokerUiRender(pokergame_t *pokerGame);

/**
 * Cleanup only the UI elements for a poker game.
 * 
 * @param pokerGame Game to dispose the UI for.
 */
void pokerUiDispose(pokergame_t *pokerGame);